--TEST--
Text_Filter_email tests
--FILE--
<?php

require dirname(__FILE__) . '/../Filter.php';

$emails = <<<EOT
Inline address jan@horde.org test.
Inline protocol mailto: jan@horde.org test with whitespace.
Inline Outlook [mailto:jan@horde.org] test.
Inline angle brackets &lt;jan@horde.org&gt; test.
Inline with parameters jan@horde.org?subject=A%20subject&body=The%20message%20body test.
Inline protocol with parameters mailto:jan@horde.org?subject=A%20subject&body=The%20message%20body test.
jan@horde.org in front test.
At end test of jan@horde.org
EOT;

echo Text_Filter::filter($emails, 'emails', array('always_mailto' => true, 'class' => 'pagelink'));

?>
--EXPECT--
Inline address <a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a> test.
Inline protocol mailto: <a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a> test with whitespace.
Inline Outlook [mailto:<a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a>] test.
Inline angle brackets &lt;<a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a>&gt; test.
Inline with parameters <a class="pagelink" href="mailto:jan@horde.org?subject=A%20subject&body=The%20message%20body" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org?subject=A%20subject&body=The%20message%20body</a> test.
Inline protocol with parameters mailto:<a class="pagelink" href="mailto:jan@horde.org?subject=A%20subject&body=The%20message%20body" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org?subject=A%20subject&body=The%20message%20body</a> test.
<a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a> in front test.
At end test of <a class="pagelink" href="mailto:jan@horde.org" onmouseover="window.status='New Message to jan@horde.org'; return true;" onmouseout="window.status='';">jan@horde.org</a>
